' werknemer.vb

Public Class CWerknemer

    Private m_naam As String
    Private m_datumInDienst As Date



    Public Enum geslachten
        Man
        Vrouw
    End Enum
    Private m_geslacht As geslachten

    Public Const OPSTARTFIRMA As Date = #1/1/1980#

    Public Property naam() As String
        Get
            Return m_naam
        End Get
        Set(ByVal Value As String)
            m_naam = Value
        End Set
    End Property

    Public Property geslacht() As geslachten
        Get
            Return m_geslacht
        End Get
        Set(ByVal Value As geslachten)
            m_geslacht = Value
        End Set
    End Property
    Public Property datumIndienst() As Date
        Get
            Return m_datumInDienst
        End Get
        Set(ByVal Value As Date)
            If (Value >= OPSTARTFIRMA) Then
                m_datumInDienst = Value
            End If
        End Set
    End Property

End Class






